Skip to content

Create an internal transfer

Request

Creates an internal transfer between two merchant accounts.

Security
JWT
Bodyapplication/jsonrequired
amountinteger, >= 1required

The amount to transfer in cents. For example, 10000 cents is 100.00. The currency is determined by the currency field.

Example:10000
currencystring, (iso-4217, case-insensitive)required

The currency in which the transfer is made. The currency code is in ISO 4217 format. Currently only AED is supported for internal transfers.

Value:"AED"
Example:"AED"
referencestring, <= 100 charactersrequired

A reference identifier for the transfer. Maximum length is 100 characters.

Example:"sample-reference"
from_merchant_idstringrequired

The unique identifier of the merchant account from which funds will be transferred.

Example:"merch_68cc1216xPrdU"
to_merchant_idstringrequired

The unique identifier of the merchant account to which funds will be transferred. Must be different from from_merchant_id.

Example:"merch_68cc0571y5S4h"
curl -i -X POST \
  https://api.glomopay.com/api/v1/internal-transfer \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount": 10000,
    "currency": "AED",
    "reference": "sample-reference",
    "from_merchant_id": "merch_68cc1216xPrdU",
    "to_merchant_id": "merch_68cc0571y5S4h"
  }'

Responses

Internal transfer created successfully

Bodyapplication/json
idstringread-only

The unique identifier for the internal transfer.

Example:"inttransfer_68f1f9126GDCB"
from_merchant_idstring

The unique identifier of the merchant account from which funds were transferred.

Example:"merch_68cc1216xPrdU"
to_merchant_idstring

The unique identifier of the merchant account to which funds were transferred.

Example:"merch_68cc0571y5S4h"
owner_merchant_idstring

The unique identifier of the merchant account that owns/initiated this transfer.

Example:"merch_68cc0571y5S4h"
transfer_amountinteger

The amount transferred in cents. For example, 1000 cents is 10.00.

Example:1000
transfer_currencystring, (iso-4217, case-insensitive)

The currency in which the transfer was made. The currency code is in ISO 4217 format.

Example:"AED"
referencestring

The reference identifier provided for the transfer.

Example:"123"
feesobject

The fees associated with the internal transfer.

Example:
{ "txn_fee": { "currency": "AED", "amount": 0 }, "fx_fee": { "currency": "AED", "amount": 0 } }
error_codestring or nullread-only

The error code if the internal transfer failed, null otherwise.

Example:null
error_descriptionstring or nullread-only

The error description if the internal transfer failed, null otherwise.

Example:null
created_atstring, (date-time)read-only

The creation timestamp of the internal transfer.

Example:"2025-10-17T08:06:42Z"
updated_atstring, (date-time)read-only

The last update timestamp of the internal transfer.

Example:"2025-10-17T08:06:42Z"
Response
{ "id": "inttransfer_68f1f9126GDCB", "from_merchant_id": "merch_68cc1216xPrdU", "to_merchant_id": "merch_68cc0571y5S4h", "owner_merchant_id": "merch_68cc0571y5S4h", "transfer_amount": 1000, "transfer_currency": "AED", "reference": "123", "fees": { "txn_fee": {}, "fx_fee": {} }, "error_code": null, "error_description": null, "created_at": "2025-10-17T08:06:42Z", "updated_at": "2025-10-17T08:06:42Z" }